coupang
GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}2609170000

Single PO query (using shipmentBoxId)

# 01

Summary

Single PO query (using shipmentBoxId)

# 02

Details

Available buyer market: Korean, Taiwan

API to query single PO using shipmentBoxId

※ Customers may change their delivery address at the Payment Completed stage. Therefore, you MUST UPDATE the delivery shipping info ("receiver") after confirming that the product is at "Preparation" stage.

  • Please check if "sellerProductName + sellerProductItemName" matches "vendorItemName" on the Coupang website before the product is shipped out.
  • If the product is exposed with the wrong information such as its compartments, quantity, volume, etc, please hold the shipping and submit an online inquiry for quick correction. (My product is displayed with wrong information, > select 'Yes' and request.)
  • The reflected seller score will be reinstated accordingly in the event that an incorrect display of your product is confirmed.

Path

GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00000001/ordersheets/642538970006401429

URL API Name

GET_ORDERSHEET_BY_SHIPMENTBOX
# 03

Path parameters

NameTypeDescription
vendorId*object
vendor code
unique code for a seller issued by Coupang
Log in to Wing to check your vendor code
shipmentBoxId*object
Shipment No. (bundled shipment No.)

View on Wing or query through PO List by minute/day.
shipmentBoxId is numerical
# 04

Response body

Response message

NameTypeDescription
codenumber
server response code
messagestring
server response message
dataobject
Data object
shipmentBoxId
data.shipmentBoxId
number
shipment No.
orderId
data.orderId
number
order No.
orderedAt
data.orderedAt
string
order date/time(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
orderer
data.orderer
object
info of the orderer
name
data.orderer.name
string
Name of the orderer
email
data.orderer.email
string
e-mail address of the orderer
non-use/empty value("")
safeNumber
data.orderer.safeNumber
string
contact info of the receiver (safety number)(Requires E.164 Compliance)
ordererNumber
data.orderer.ordererNumber
string
contact info of the orderer (actual phone number)(Requires E.164 Compliance)
paidAt
data.paidAt
string
Date/time of payment completed(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
status
data.status
string
PO Status
STATUS MEANING
ACCEPT payment completed
INSTRUCT product in preparation
DEPARTURE shipment commenced
DELIVERING in transit
FINAL_DELIVERY delivery completed
NONE_TRACKING Seller to ship out the product directly (or delivery system is not integrated with Coupang's); tracking not available
shippingPrice
data.shippingPrice
object
shipping fee
currencyCode
data.shippingPrice.currencyCode
string
Three-letter uppercase string (format follows ISO-4217)
units
data.shippingPrice.units
number
64-bit integer representing the integer part of the monetary value
nanos
data.shippingPrice.nanos
number
32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
remotePrice
data.remotePrice
object
shipping fees for highlands and islands
currencyCode
data.remotePrice.currencyCode
string
Three-letter uppercase string (format follows ISO-4217)
units
data.remotePrice.units
number
64-bit integer representing the integer part of the monetary value
nanos
data.remotePrice.nanos
number
32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
remoteArea
data.remoteArea
boolean
check if the delivery address is in the highlands or islands
parcelPrintMessage
data.parcelPrintMessage
string
shipping message
splitShipping
data.splitShipping
boolean
split shipping or not
ableSplitShipping
data.ableSplitShipping
boolean
split shipping possible or not possible
receiver
data.receiver
object
info of the receiver
name
data.receiver.name
string
Name of the receiver
safeNumber
data.receiver.safeNumber
string
contact info of the receiver (safety number)(Requires E.164 Compliance)
receiverNumber
data.receiver.receiverNumber
string
contact info of the receiver (actual phone number)(Requires E.164 Compliance)
addr1
data.receiver.addr1
string
receiver's delivery address 1
addr2
data.receiver.addr2
string
receiver's delivery address 2
postCode
data.receiver.postCode
string
receiver's Post code
consigneePrimaryAddress
data.receiver.consigneePrimaryAddress
string
Consignee primary address derived from zip code base
orderItems
data.orderItems
object[]
order info
sequenceNo
data.orderItems[].sequenceNo
string
3-digit sequence number for the order item, starting from "001"
vendorItemPackageId
data.orderItems[].vendorItemPackageId
number
vendorItemPackageId
for non-use/null, it will return 0
vendorItemPackageName
data.orderItems[].vendorItemPackageName
string
vendorItemPackageName
non-use
productId
data.orderItems[].productId
number
Displayed productID
for null, it will return 0
vendorItemId
data.orderItems[].vendorItemId
number
vendor item ID
vendorItemName
data.orderItems[].vendorItemName
string
Displayed product name
shippingCount
data.orderItems[].shippingCount
number
shippingCount = number of items upon ordering
holdCountForCancel = number of items whose orders got cancelled and wait for refund
cancelCount = confirmed number of items for cancellation
number of items available for PO placement = shippingCount - (holdCountForCancel + cancelCount )
salesPrice
data.orderItems[].salesPrice
object
price per item
currencyCode
data.orderItems[].salesPrice.currencyCode
string
Three-letter uppercase string (format follows ISO-4217)
units
data.orderItems[].salesPrice.units
number
64-bit integer representing the integer part of the monetary value
nanos
data.orderItems[].salesPrice.nanos
number
32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
orderPrice
data.orderItems[].orderPrice
object
payment amounts: salesPrice*shippingCount
currencyCode
data.orderItems[].orderPrice.currencyCode
string
Three-letter uppercase string (format follows ISO-4217)
units
data.orderItems[].orderPrice.units
number
64-bit integer representing the integer part of the monetary value
nanos
data.orderItems[].orderPrice.nanos
number
32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
discountPrice
data.orderItems[].discountPrice
object
total discount amounts,
discountPrice(total discounts) =
instantCouponDiscount(instant discount coupon) +
downloadableCoupon(downloadable coupon) +
coupangDiscount(Coupang funded discounts)
currencyCode
data.orderItems[].discountPrice.currencyCode
string
Three-letter uppercase string (format follows ISO-4217)
units
data.orderItems[].discountPrice.units
number
64-bit integer representing the integer part of the monetary value
nanos
data.orderItems[].discountPrice.nanos
number
32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
instantCouponDiscount
data.orderItems[].instantCouponDiscount
object
instant discount coupon
instant discount coupon amounts
currencyCode
data.orderItems[].instantCouponDiscount.currencyCode
string
Three-letter uppercase string (format follows ISO-4217)
units
data.orderItems[].instantCouponDiscount.units
number
64-bit integer representing the integer part of the monetary value
nanos
data.orderItems[].instantCouponDiscount.nanos
number
32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
downloadableCouponDiscount
data.orderItems[].downloadableCouponDiscount
object
downloadable coupon
downloadable coupon amounts
currencyCode
data.orderItems[].downloadableCouponDiscount.currencyCode
string
Three-letter uppercase string (format follows ISO-4217)
units
data.orderItems[].downloadableCouponDiscount.units
number
64-bit integer representing the integer part of the monetary value
nanos
data.orderItems[].downloadableCouponDiscount.nanos
number
32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
coupangDiscount
data.orderItems[].coupangDiscount
object
Coupang funded discounts
Coupang funded cart/category coupon etc. amounts
currencyCode
data.orderItems[].coupangDiscount.currencyCode
string
Three-letter uppercase string (format follows ISO-4217)
units
data.orderItems[].coupangDiscount.units
number
64-bit integer representing the integer part of the monetary value
nanos
data.orderItems[].coupangDiscount.nanos
number
32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
externalVendorSkuCode
data.orderItems[].externalVendorSkuCode
string
external item code
etcInfoHeader
data.orderItems[].etcInfoHeader
string
option input per item
optional
etcInfoValue
data.orderItems[].etcInfoValue
string
input value by the user for options per item
optional
Not in use
etcInfoValues
data.orderItems[].etcInfoValues
object[]
List of input value by the user for options per item
optional
sellerProductId
data.orderItems[].sellerProductId
number
Seller product ID
sellerProductName
data.orderItems[].sellerProductName
string
Registered product name
sellerProductItemName
data.orderItems[].sellerProductItemName
string
Option name as registered
firstSellerProductItemName
data.orderItems[].firstSellerProductItemName
string
Originally registered option name
cancelCount
data.orderItems[].cancelCount
number
number of orders got cancelled
holdCountForCancel
data.orderItems[].holdCountForCancel
number
number of orders waiting for refund
estimatedShippingDate
data.orderItems[].estimatedShippingDate
string
expected shipping date upon receiving order(Requires ISO-8601 Compliance)
yyyy-MM-dd
plannedShippingDate
data.orderItems[].plannedShippingDate
string
actual planned shipping date (for split shipment)(Requires ISO-8601 Compliance)
yyyy-MM-dd
invoiceNumberUploadDate
data.orderItems[].invoiceNumberUploadDate
string
Invoice No. upload date(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
extraProperties
data.orderItems[].extraProperties
object
Additional option info for seller item
key:value type
pricingBadge
data.orderItems[].pricingBadge
boolean
Courantee (is the item price is the lowest?)
true/false
usedProduct
data.orderItems[].usedProduct
boolean
is it a used item?
true/false
confirmDate
data.orderItems[].confirmDate
string
date of purchase confirmed(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
deliveryChargeTypeName
data.orderItems[].deliveryChargeTypeName
string
delivery charge type:
not-free, free
productCategoryLevel1
data.orderItems[].productCategoryLevel1
string
Product classification level 1 category name
productCategoryLevel2
data.orderItems[].productCategoryLevel2
string
Product classification level 2 category name
productSalesPageUrl
data.orderItems[].productSalesPageUrl
string
Product sales page URL on Coupang marketplace
upBundleVendorItemId
data.orderItems[].upBundleVendorItemId
number
upbundle option ID
upBundleVendorItemName
data.orderItems[].upBundleVendorItemName
string
upbundle displayed product name
upBundleSize
data.orderItems[].upBundleSize
number
upbundle count
upBundleItem
data.orderItems[].upBundleItem
boolean
upbundle item or not
true/false
canceled
data.orderItems[].canceled
boolean
is the order cancelled?
true/false
overseaShippingInfoDto
data.overseaShippingInfoDto
object
overseas delivery info
personalCustomsClearanceCode
data.overseaShippingInfoDto.personalCustomsClearanceCode
string
Personal Customs Clearance Code
orderersSsn
data.overseaShippingInfoDto.orderersSsn
string
Not in use
ordererPhoneNumber
data.overseaShippingInfoDto.ordererPhoneNumber
string
Recipient's phone number(Requires E.164 Compliance)
oneTimePccc
data.overseaShippingInfoDto.oneTimePccc
string
One-time PCCC (Personal Customs Clearance Code) issued by KCS. Used for "buy for self" orders with CI-based authentication
otpNumber
data.overseaShippingInfoDto.otpNumber
string
OTP (One-Time Password) number for customs clearance verification
deliveryCompanyName
data.deliveryCompanyName
string
Courier companies
CJ Logistics, Hanjin Express, etc.
invoiceNumber
data.invoiceNumber
string
Invoice No.
inTrasitDateTime
data.inTrasitDateTime
string
shipment date (shipped-out date)(Requires ISO-8601 Compliance)
yyyy-MM-dd HH:mm:ss
deliveredDate
data.deliveredDate
string
delivery-completed date(Requires ISO-8601 Compliance)
yyyy-MM-dd HH:mm:ss
refer
data.refer
string
Payment was made on:
Apps on iPhone, Android or PC/Mobile web page.
shipmentType
data.shipmentType
string
shipment type
THIRD_PARTY, CGF, CGF LITE
isCod
data.isCod
boolean
Is the order Cash on Delivery (COD)

true/false
ecommerceTypeCode
data.ecommerceTypeCode
string
E-commerce type code for customs declaration. "A" (Direct Purchase) for C seller, "B" (Purchase Agency) for A seller
tradePartnerCode
data.tradePartnerCode
string
Marketplace intermediary code. e.g. "K-26-001277"
tradePartnerName
data.tradePartnerName
string
Marketplace intermediary name. e.g. "쿠팡 주식회사"
seller
data.seller
object
Seller information
sellerName
data.seller.sellerName
string
Vendor name registered in Coupang marketplace
sellerId
data.seller.sellerId
string
Vendor ID assigned by Coupang marketplace
extraProperties
data.extraProperties
object
Other Information for Order Attributes key:value format

The following information will be visible in markets that support invoicing:
invoiceAmountInfo:
  • invoiceAmountToBuyer: Invoice amount to buyer
  • invoiceAmountToCoupang: Invoice amount to Coupang
  • currency: currency code
receiptOption:
  • "PAPER": Paper Invoice
  • "E-GUI": Electronic Invoice
appliedType: Invoice Type (Possible Values):
  • "PERSONAL_COUPANG_MEMBER_CARRIER": Coupang Member Carrier
  • "PERSONAL_MOBILE_BARCODE_CARRIER": Mobile Barcode Carrier
  • "DONATION": Invoice Donation
  • "BUSINESS": Company Invoice
appliedValue: Uniform Invoice Number/Information (Possible Values):
  • When appliedType is PERSONAL_COUPANG_MEMBER_CARRIER: null
  • When appliedType is PERSONAL_MOBILE_BARCODE_CARRIER: Mobile Barcode
  • When appliedType is DONATION: Invoice Donation Number
  • When appliedType is BUSINESS: Company Uniform Serial Number
sameDayShipping: Whether an order is shipped at the same day as the day the order placed. (Possible Values):
  • “true”: same-day shipping is enabled
  • “false”: same-day shipping is disabled
cutOffTimeHour: The time after which sameDayShipping won't apply. (Possible Values):
  • 10~23, 0

Response Example

{
 "code": "200",
 "message": "OK",
 "data": {
 "shipmentBoxId": 64253897***6401429,
 "orderId": 500000596,
 "orderedAt": "2025-01-15T14:17:13.973885-08:00",
 "orderer": {
 "name": "김문근",
 "email": "",
 "safeNumber": "+1(555)444-1234",
 "ordererNumber": null
 },
 "paidAt": "2025-01-15T14:17:13.973885-08:00",
 "status": "FINAL_DELIVERY",
 "shippingPrice": {
 "currencyCode": "KRW",
 "units": 2500,
 "nanos": 0
 },
 "remotePrice": {
 "currencyCode": "KRW",
 "units": 0,
 "nanos": 0
 },
 "remoteArea": false,
 "parcelPrintMessage": null,
 "splitShipping": false,
 "ableSplitShipping": false,
 "receiver": {
 "name": "test",
 "safeNumber": "+1(555)444-1234",
 "receiverNumber": null,
 "addr1": "addr1",
 "addr2": "addr2",
 "postCode": "284-60"
 "consigneePrimaryAddress": "address based on postcode"
 },
 "orderItems": [
 {
 "sequenceNo": "001",
 "vendorItemPackageId": 0,
 "vendorItemPackageName": "러비더비 섬유향수 보솔레이",
 "productId": 2429,
 "vendorItemId": 3000000177,
 "vendorItemName": "러비더비 섬유향수 보솔레이, 500ml",
 "shippingCount": 1,
 "salesPrice": {
 "currencyCode": "KRW",
 "units": 14000,
 "nanos": 0
 },
 "orderPrice": {
 "currencyCode": "KRW",
 "units": 14000,
 "nanos": 0
 },
 "discountPrice": {
 "currencyCode": "KRW",
 "units": 500,
 "nanos": 0
 },
 "instantCouponDiscount": {
 "currencyCode": "KRW",
 "units": 0,
 "nanos": 0
 },
 "downloadableCouponDiscount": {
 "currencyCode": "KRW",
 "units": 500,
 "nanos": 0
 },
 "coupangDiscount": {
 "currencyCode": "KRW",
 "units": 0,
 "nanos": 0
 },
 "externalVendorSkuCode": "800022867",
 "etcInfoHeader": null,
 "etcInfoValue": null,
 "etcInfoValues": [
 "추가메시지1",
 "추가메시지2"
 ],
 "sellerProductId": 26758514,
 "sellerProductName": "[러비더비] 대용량 섬유향수 보솔레이 500ml",
 "sellerProductItemName": "01_보솔레이 500ml",
 "firstSellerProductItemName": "01_보솔레이 500ml",
 "cancelCount": 0,
 "holdCountForCancel": 0,
 "estimatedShippingDate": "2017-10-12",
 "plannedShippingDate": "",
 "invoiceNumberUploadDate": "",
 "extraProperties": {

 },
 "pricingBadge": false,
 "usedProduct": false,
 "confirmDate": "2025-01-15T14:17:13.973885-08:00",
 "deliveryChargeTypeName": "무료",
 "productCategoryLevel1": "패션의류",
 "productCategoryLevel2": "남성의류",
 "productSalesPageUrl": "https://www.coupang.com/vp/products/9382706107?vendorItemId=94815759162",
 "canceled": false
 }
 ],
 "overseaShippingInfoDto": {
 "personalCustomsClearanceCode": null,
 "ordererSsn": "",
 "ordererPhoneNumber": ""
 "oneTimePccc": "",
 "otpNumber": null
 },
 "deliveryCompanyName": "CJ 대한통운",
 "invoiceNumber": "337398446274",
 "inTrasitDateTime": "2025-01-15T14:17:13.973885-08:00",
 "deliveredDate": "2025-01-15T14:17:13.973885-08:00",
 "refer": "PC웹",
 "shipmentType": "CGF LITE",
 "isCod": false,
 ecommerceTypeCode": "A",
 "tradePartnerCode": "K26001277",
 "tradePartnerName": "쿠팡 주식회사",
 "seller":
 {
 "sellerName": "TEST SELLER",
 "sellerId": "C01234567"
 },
 "extraProperties": {
 "invoiceAmountInfo": {
 “invoiceAmountToBuyer":627,
 "invoiceAmountToCoupang":0,
 "currency":"TWD"},
 "taxReceiptInfo": {
 "appliedValue": null,
 "receiptOption": "PAPER",
 "appliedType": "PERSONAL_COUPANG_MEMBER_CARRIER"
 },
 "sameDayShipping": "true",
 "cutOffTimeHour": "18"
 }
 }
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check parameter requested)

The order got cancelled or returned.

Check if the order is cancelled or returned using Return/Cancellation Request List query API. Ensure the order in question not to be called again.

400400 (check parameter requested)

Invalid vendor ID

Please check if you input accurate seller ID (vendor ID). ex) A00012345